var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, EventEmitter, Output, ViewEncapsulation } from '@angular/core';
/**
 * Container-toggler
 * A generic component that helps use as a toggler for a container,
 * Emits Next and Previous events, that can be caught and handled
 *
 */
var ContainerTogglerComponent = /** @class */ (function () {
    function ContainerTogglerComponent() {
        this.nextBtn = new EventEmitter();
        this.prevBtn = new EventEmitter();
    }
    ContainerTogglerComponent.prototype.prev = function () {
        this.prevBtn.emit('P');
    };
    ContainerTogglerComponent.prototype.next = function () {
        this.nextBtn.emit('N');
    };
    __decorate([
        Output(),
        __metadata("design:type", Object)
    ], ContainerTogglerComponent.prototype, "nextBtn", void 0);
    __decorate([
        Output(),
        __metadata("design:type", Object)
    ], ContainerTogglerComponent.prototype, "prevBtn", void 0);
    ContainerTogglerComponent = __decorate([
        Component({
            selector: 'f8-container-toggler',
            encapsulation: ViewEncapsulation.None,
            template: "<div><span (click)=\"prev()\" class=\"prev\">Previous</span> <span (click)=\"next()\" class=\"next\">Next</span></div>"
        }),
        __metadata("design:paramtypes", [])
    ], ContainerTogglerComponent);
    return ContainerTogglerComponent;
}());
export { ContainerTogglerComponent };
//# sourceMappingURL=container-toggler.component.js.map