import { EventEmitter, OnInit } from '@angular/core';
import { DropdownOption } from './dropdown-option';
export declare class DropdownComponent implements OnInit {
    options: DropdownOption[];
    selected: DropdownOption;
    disabled: Boolean;
    onUpdate: EventEmitter<{}>;
    show: boolean;
    constructor();
    ngOnInit(): void;
    toggle(): void;
    open(): void;
    close(): void;
    onChange(option: DropdownOption): void;
}
