var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { Pipe } from '@angular/core';
/*
 * Appends size info to Avatar URL
 * Usage:
 *   URL | almAvatarSize:size
 * Example:
 *   {{ URL |  almAvatarSize:20}}
 *   formats to: URL&s=20
*/
var AlmAvatarSize = /** @class */ (function () {
    function AlmAvatarSize() {
    }
    AlmAvatarSize.prototype.transform = function (value, size) {
        return value + '&s=' + size;
    };
    AlmAvatarSize = __decorate([
        Pipe({ name: 'almAvatarSize' })
    ], AlmAvatarSize);
    return AlmAvatarSize;
}());
export { AlmAvatarSize };
//# sourceMappingURL=alm-avatar-size.pipe.js.map