var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { Pipe } from '@angular/core';
import * as moment from 'moment';
/*
 * Usage:
 *   <span [innerHTML]="timestamp | almMomentTime"></span>
*/
var AlmMomentTime = /** @class */ (function () {
    function AlmMomentTime() {
    }
    AlmMomentTime.prototype.transform = function (val) {
        if (!val) {
            return '';
        }
        var aMonthAgo = new Date();
        aMonthAgo.setMonth(aMonthAgo.getMonth() - 1);
        var dateValue = new Date(val);
        if (dateValue < aMonthAgo) {
            return "<span title=\"" + moment(val).format('LLL') + "\">\n                " + moment(val).format('D MMM YYYY') + "\n              </span>";
        }
        return "<span title=\"" + moment(val).format('LLL') + "\">\n              " + moment(val, [moment.ISO_8601]).fromNow() + "\n            </span>";
    };
    AlmMomentTime = __decorate([
        Pipe({ name: 'almMomentTime' })
    ], AlmMomentTime);
    return AlmMomentTime;
}());
export { AlmMomentTime };
//# sourceMappingURL=alm-moment-time.pipe.js.map