var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { animate, state, style, transition, trigger } from '@angular/animations';
import { Component, EventEmitter, Input, Output } from '@angular/core';
var SlideOutPanelComponent = /** @class */ (function () {
    function SlideOutPanelComponent() {
        this.panelStateChange = new EventEmitter();
    }
    SlideOutPanelComponent.prototype.ngOnInit = function () {
    };
    SlideOutPanelComponent.prototype.ngAfterViewInit = function () {
    };
    SlideOutPanelComponent.prototype.closeDetails = function () {
        this.panelState = 'out';
        this.panelStateChange.emit(this.panelState);
    };
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], SlideOutPanelComponent.prototype, "panelState", void 0);
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], SlideOutPanelComponent.prototype, "itemName", void 0);
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], SlideOutPanelComponent.prototype, "itemIcon", void 0);
    __decorate([
        Output(),
        __metadata("design:type", Object)
    ], SlideOutPanelComponent.prototype, "panelStateChange", void 0);
    SlideOutPanelComponent = __decorate([
        Component({
            selector: 'alm-slide-out-panel',
            styles: [require('./slide-out-panel.component.css').toString()],
            animations: [
                trigger('slideInOut', [
                    state('in', style({
                        transform: 'translateX(0)'
                    })),
                    state('out', style({
                        transform: 'translateX(100%)'
                    })),
                    transition('in => out', animate('300ms ease-in-out')),
                    transition('out => in', animate('500ms ease-in-out'))
                ])
            ],
            template: "<div [@slideInOut]=\"panelState\" class=\"detail-panel\"><div class=\"col-md-12 col-sm-12 col-xs-12 mobile-bar\"><div class=\"dropdown-kebab-pf detail-type-dropdown col-sm-8\"><span class=\"wi-type-icon fa {{itemIcon}} fa-2x\"></span> <span *ngIf=\"itemName\" class=\"detail-id\" id=\"wi-detail-id\">{{itemName}}</span></div><div class=\"col-sm-4\"><span class=\"pull-right\"><span class=\"pficon-close detail-close\" (click)=\"closeDetails()\"></span></span></div></div><div class=\"clear-float\"></div><ng-content></ng-content></div>"
        }),
        __metadata("design:paramtypes", [])
    ], SlideOutPanelComponent);
    return SlideOutPanelComponent;
}());
export { SlideOutPanelComponent };
//# sourceMappingURL=slide-out-panel.component.js.map