import { EventEmitter } from '@angular/core';
/**
 * Container-toggler
 * A generic component that helps use as a toggler for a container,
 * Emits Next and Previous events, that can be caught and handled
 *
 */
export declare class ContainerTogglerComponent {
    nextBtn: EventEmitter<{}>;
    prevBtn: EventEmitter<{}>;
    constructor();
    prev(): void;
    next(): void;
}
