var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { ContainerTogglerModule } from './container-toggler/container-toggler.module';
import { DialogModule } from './dialog/dialog.module';
import { DropdownModule } from './dropdown/dropdown.module';
import { AlmEditableModule } from './editable/almeditable.module';
import { AlmIconModule } from './icon/almicon.module';
import { InfiniteScrollModule } from './infinitescroll/infinitescroll.module';
import { AlmArrayFilter } from './pipes/alm-array-filter.pipe';
import { AlmAvatarSize } from './pipes/alm-avatar-size.pipe';
import { AlmLinkTarget } from './pipes/alm-link-target.pipe';
import { AlmMomentTime } from './pipes/alm-moment-time.pipe';
import { AlmSearchHighlightModule } from './pipes/alm-search-highlight.module';
import { AlmSearchHighlight } from './pipes/alm-search-highlight.pipe';
import { AlmTrim } from './pipes/alm-trim';
import { ArrayCount } from './pipes/arrayCount.pipe';
import { MarkdownModule } from './markdown/markdown.module';
var WidgetsModule = /** @class */ (function () {
    function WidgetsModule() {
    }
    WidgetsModule = __decorate([
        NgModule({
            imports: [
                FormsModule,
                AlmSearchHighlightModule
            ],
            declarations: [
                AlmArrayFilter,
                AlmAvatarSize,
                AlmLinkTarget,
                AlmMomentTime,
                AlmTrim,
                ArrayCount
            ],
            exports: [
                AlmArrayFilter,
                AlmAvatarSize,
                AlmLinkTarget,
                AlmMomentTime,
                AlmSearchHighlight,
                AlmTrim,
                ArrayCount,
                AlmEditableModule,
                AlmIconModule,
                ContainerTogglerModule,
                DialogModule,
                DropdownModule,
                InfiniteScrollModule,
                MarkdownModule
            ]
        })
    ], WidgetsModule);
    return WidgetsModule;
}());
export { WidgetsModule };
//# sourceMappingURL=widgets.module.js.map